/********************************************************/
/*
/*      General CSS
/*
/********************************************************/
	
	/******************************/
	/* Buttons
	/******************************/
	.wp-block-read-more,
	.wp-block-button__link,
	.gform_wrapper .gform_footer,
	.gform_wrapper .gfield--type-fileupload .gfield_label {
		position: relative;
		display: grid !important;
		grid-template-columns: auto auto;
		grid-template-rows: 1fr;
		column-gap: .75rem !important;
		justify-content: space-between;
		align-items: center;
		text-align: start;
		padding-inline: 0 !important;
		padding-block: 0 !important;
	}
	.wp-block-read-more:hover,
	.wp-block-button__link:hover {
		font-family: var(--wp--preset--font-family--gt-alpina-fine) !important;
		font-weight: 400 !important;
		font-style: italic !important;
		text-transform: initial !important;
		letter-spacing: .5px !important;
	}
	.wp-block-button__link:hover {
		font-size: var(--wp--preset--font-size--large) !important;
	}
	
	.wp-block-read-more  {
		width: max-content;
		text-decoration: none!important;
		&:hover {
			font-size: var(--wp--preset--font-size--large) !important;
			color: var(--wp--preset--color--accent)!important;
		}
	}
	
	body.wp-admin .wp-block-button__link > span {
		display: contents;
	}
	
	body.wp-admin .wp-block-button__link > span::after {
		grid-column: 2;
		grid-row: 1;
	}
	.wp-block-read-more::before,
	.wp-block-read-more::after,
	.wp-block-button__link::before,
	.wp-block-button__link::after,
	.gform_footer::before,
	.gform_footer::after,
	.gform_wrapper .gfield--type-fileupload .gfield_label::before,
	.gform_wrapper .gfield--type-fileupload .gfield_label::after {
		grid-column: 1;
		grid-row: 1;
		content: '';
		display: block;
	}
	.wp-block-read-more::before,
	.wp-block-button__link::before,
	.gform_wrapper .gform_footer::before,
	.gform_wrapper .gfield--type-fileupload .gfield_label::before {
		width: 3.5rem;
		height: 3.5rem;
		background-color: transparent;
		border: 4px solid currentcolor;
		border-radius: 45%;
		box-sizing: border-box;
	}

	.wp-block-read-more::after,
	.wp-block-button__link::after,
	.gform_wrapper .gform_footer::after,
	.gform_wrapper .gfield--type-fileupload .gfield_label::after {
		justify-self: center;
		width: 1.25rem;
		height: 1.25rem;
		background: url(../images/fleche-45deg.svg) no-repeat center center;
		background-size: contain;
		filter: brightness(0) saturate(100%) invert(60%) sepia(5%) saturate(236%) hue-rotate(201deg) brightness(90%) contrast(91%);
		rotate: 0deg;
		transition: rotate .3s;
	}
	.wp-block-read-more:hover::after,
	.wp-block-button__link:hover::after,
	.gform_wrapper .gform_footer:hover::after,
	.gform_wrapper .gfield--type-fileupload .gfield_label:hover::after {
		rotate: -45deg !important;
	}
	
	/* Button colors */
	.wp-block-button__link.has-background-color::after {
		filter: brightness(0) saturate(100%) invert(94%) sepia(10%) saturate(123%) hue-rotate(2deg) brightness(84%) contrast(92%);
	}
	.wp-block-button__link.has-accent-color::after {
		filter: brightness(0) saturate(100%) invert(11%) sepia(7%) saturate(5031%) hue-rotate(195deg) brightness(93%) contrast(124%);
	}
	.wp-block-button__link.has-accent-2-color::after,
	body .wp-site-blocks:has(style.bg-color-accent, style.bg-color-off-black, style.bg-color-text) .gform_wrapper .gform_footer::after,
	body .wp-site-blocks:has(style.bg-color-accent, style.bg-color-off-black, style.bg-color-text) .gform_wrapper .gfield--type-fileupload .gfield_label::after,
	body.wp-admin:has(a.color.selected > [title="Text"], a.color.selected > [title="Accent"], a.color.selected > [title="Off-Black"]) .gform_wrapper .gform_footer::after,
	body.wp-admin:has(a.color.selected > [title="Text"], a.color.selected > [title="Accent"], a.color.selected > [title="Off-Black"]) .gform_wrapper .gfield--type-fileupload .gfield_label::after {
		filter: brightness(0) saturate(100%) invert(89%) sepia(7%) saturate(108%) hue-rotate(191deg) brightness(98%) contrast(81%);
	}
	.wp-block-button__link.has-white-color::after {
		filter: brightness(0) saturate(100%) invert(100%) sepia(100%) saturate(0%) hue-rotate(346deg) brightness(104%) contrast(102%);
	}
	.wp-block-button__link.has-off-black-color::after {
		filter: brightness(0) saturate(100%) invert(6%) sepia(41%) saturate(7213%) hue-rotate(221deg) brightness(74%) contrast(115%);
	}
	
	/* Variations */
	.wp-block-button.is-style-point-right .wp-block-button__link::after {
		rotate: -45deg;
	}
	
	.wp-block-button.is-style-point-down .wp-block-button__link::after {
		rotate: 45deg;
	}
	
	@media screen and (max-width: 600px) {
		.wp-block-button__link::before,
		.gform_wrapper .gform_footer::before,
		.gform_wrapper .gfield--type-fileupload .gfield_label::before { width: 3rem; height: 3rem; border: 3px solid currentcolor; }
		.wp-block-button__link::after,
		.gform_wrapper .gform_footer::after,
		.gform_wrapper .gfield--type-fileupload .gfield_label::after { width: 1.125rem; height: 1.125rem; }
	}
	
	/******************************/
	/* Forms & inputs
	/******************************/
	body:not(.gform-admin-screen) .gform_wrapper {
		max-width: var(--wp--custom--max-size-inner) !important;
		padding-inline: var(--wp--custom--outer-pad);
		margin-block: var(--wp--preset--spacing--80);
		box-sizing: border-box;
	}
	
	body:not(.gform-admin-screen) .gform_wrapper .gform_fields {
		grid-template-columns: 1fr 1fr !important;
		row-gap: 3.125rem !important;
		column-gap: 7.5rem !important;
	}
	
	body:not(.gform-admin-screen) .gform_wrapper .gfield {
		display: flex;
		flex-direction: column;
		justify-content: end;
	}
	
	body:not(.gform-admin-screen) .gform_wrapper .gfield_label {
		display: flex;
	}
	
	body:not(.gform-admin-screen) .gform_wrapper .gfield--width-full {
		grid-column: span 2 !important;
	}
	
	body:not(.gform-admin-screen) .gform_wrapper .gfield--width-half {
		grid-column: span 1 !important;
	}
	
	body:not(.gform-admin-screen) .gform_wrapper .gfield_label,
	body:not(.gform-admin-screen) .gform_wrapper .gfield_label > .gfield_required::before,
	body:not(.gform-admin-screen) .gform_wrapper .gform_footer [type="submit"] {
		font-family: var(--wp--preset--font-family--gt-america-extended) !important;
		font-size: var(--wp--preset--font-size--large) !important;
		font-style: normal !important;
		line-height: 1.2 !important;
		font-weight: 500 !important;
		text-align: start !important;
		text-transform: uppercase !important;
		color: var(--wp--preset--color--background) !important;
	}
	
	body:not(.gform-admin-screen) .wp-site-blocks:has(style.bg-color-background) .gform_wrapper .gfield_label {
		color: var(--wp--preset--color--text) !important;
	}
	
	body:not(.gform-admin-screen) .gform_wrapper .gfield_label > .gfield_required {
		display: flex;
	}
	
	body:not(.gform-admin-screen) .gform_wrapper .gfield_label > .gfield_required::before {
		content: '*';
	}
	
	body:not(.gform-admin-screen) .gform_wrapper .gfield_label .gfield_required_text {
		display: none;
	}
	
	body:not(.gform-admin-screen) .gform_wrapper :is(input, select, textarea):not([type="radio"], [type="checkbox"]) {
		height: auto;
		font-family: var(--wp--preset--font-family--gt-america-standard);
		font-size: var(--wp--preset--font-size--medium);
		line-height: 1;
		color: var(--wp--preset--color--text);
		background-color: transparent;
		padding: .6rem 1rem .75rem !important;
		border: 2px solid var(--wp--preset--color--text);
		border-radius: .625rem;
	}
	
	body:not(.gform-admin-screen) .gform_wrapper :is(input, textarea, select, button):focus {
		outline: none !important;
		box-shadow: none !important;
	}
	
	body:not(.gform-admin-screen) .wp-site-blocks:has(style.bg-color-accent, style.bg-color-off-black, style.bg-color-text) .gform_wrapper :is(input, select, textarea):not([type="radio"], [type="checkbox"]) {
		color: var(--wp--preset--color--white);
		border: 2px solid var(--wp--preset--color--accent-2);
	}
	
	body:not(.gform-admin-screen) .gform_wrapper .gfield_html > * {
		margin-block-start: 1em;
		margin-block-end: 0;
	}
	
	body:not(.gform-admin-screen) .gform_wrapper .gform_footer,
	body:not(.gform-admin-screen) .gform_wrapper .gfield--type-fileupload .gfield_label {
		width: max-content;
		max-width: 100%;
		color: var(--wp--preset--color--accent-2) !important;
	}
	
	body:not(.gform-admin-screen) .wp-site-blocks:has(style.bg-color-background) .gform_wrapper .gform_footer {
		color: var(--wp--preset--color--text) !important;
	}
	
	body:not(.gform-admin-screen) .gform_wrapper .gform_footer::before,
	body:not(.gform-admin-screen) .gform_wrapper .gform_footer::after {
		pointer-events: none;
	}
	
	body:not(.gform-admin-screen) .gform_wrapper .gform_footer [type="submit"] {
		height: 3.5rem !important;
		color: inherit !important;
		background-color: transparent !important;
		padding-block: 0 !important;
		padding-inline: 4.25rem 0 !important;
		margin-inline-start: -4.25rem !important;
		border: none !important;
		box-shadow: none !important;
		transition: none !important;
	}
	
	body:not(.gform-admin-screen) .gform_wrapper .gform_footer [type="submit"]:hover,
	body:not(.gform-admin-screen) .gform_wrapper .gfield--type-fileupload .gfield_label:hover {
		font-family: var(--wp--preset--font-family--gt-alpina-fine) !important;
		font-weight: 400 !important;
		font-style: italic !important;
		text-transform: initial !important;
		letter-spacing: .5px !important;
	}
	
	/* Custom file input */
	body:not(.gform-admin-screen) .gform_wrapper .gfield--type-fileupload { 
		position: relative;
	}
	
	body:not(.gform-admin-screen) .gform_wrapper .gfield--type-fileupload .gfield_label {
		cursor: pointer;
	}
	
	body:not(.gform-admin-screen) .gform_wrapper .gfield--type-fileupload .gfield_label::after {
		rotate: -135deg;
	}
	
	body:not(.gform-admin-screen) .gform_wrapper .gfield--type-fileupload input[type="file"],
	body:not(.gform-admin-screen) .gform_wrapper .gfield--type-fileupload :is(.gform_fileupload_rules, .gfield_required_text, .gfield_fileupload_progress) {
		display: none !important;
	}
	
	body:not(.gform-admin-screen) .gform_wrapper .gfield--type-fileupload .file-name {
		display: block;
		font-family: var(--wp--preset--font-family--gt-america-extended);
		font-size: var(--wp--preset--font-size--medium);
		color: var(--wp--preset--color--text);
		margin-left: 4.25rem;
		translate: 0 -1rem;
	}
	
	body:not(.gform-admin-screen) .gform_wrapper .gform_footer [type="submit"]:hover,
	body:not(.gform-admin-screen) .gform_wrapper .gfield--type-fileupload .gfield_label:hover {
		font-size: var(--wp--preset--font-size--x-large) !important;
	}
	
	/* Form error/confirmation messages & spinner */
	body:not(.gform-admin-screen) .gform_wrapper .gform_validation_errors {
		background-color: transparent !important;
		padding: 0 !important;
		border: none !important;
	}
	
	body:not(.gform-admin-screen) .gform_wrapper :is(.gform_submission_error, .gfield_validation_message) {
		font-family: var(--wp--preset--font-family--gt-america-extended) !important;
		font-size: var(--wp--preset--font-size--medium) !important;
		color: #EC3108 !important;
	}
	
	body:not(.gform-admin-screen) .gform_wrapper .gform_submission_error .gform-icon {
		display: none !important;
	}
	
	body:not(.gform-admin-screen) .gform_wrapper .gform_ajax_spinner {
		position: absolute;
		left: calc(100% + 1rem);
		top: 50%;
		width: 5rem !important;
		height: 5rem !important;
		translate: 0 -50%;
	}
	
	/* Bambora credit card input */
	body:not(.gform-admin-screen) .gform_wrapper .gfield--type-creditcard > div:not(.gfield_validation_message) {
		background-color: var(--wp--preset--color--accent-2);
		padding: 2rem;
		margin-inline: unset;
		border-radius: .625rem;
	}
	
	body:not(.gform-admin-screen) .gform_wrapper .gfield--type-creditcard > div :is(.gform-grid-col, .gform-grid-row) {
		padding-inline: unset !important;
		margin-inline: unset !important;
	}
	
	body:not(.gform-admin-screen) .gform_wrapper .gfield--type-creditcard .ginput_full > input {
		display: block;
		height: 34px;
		color: #555 !important;
		background-color: #fff;
		line-height: 1.42857143;
		padding: 6px 12px !important;
		border: 1px solid #ccc !important;
		border-radius: 0;
	}
	
	body:not(.gform-admin-screen) .gform_wrapper .gfield--type-creditcard .gf-bambora-elements-field,
	body:not(.gform-admin-screen) .gform_wrapper .gfield--type-creditcard .ginput_cardextras {
		width: 100% !important;
	}
	
	@media screen and (max-width: 1400px) {
		body:not(.gform-admin-screen) .gform_wrapper { max-width: var(--wp--custom--max-size-outer) !important; padding-inline: calc(var(--wp--custom--outer-pad) * 3); }
	}
	
	@media screen and (max-width: 1000px) {
		body:not(.gform-admin-screen) .gform_wrapper .gform_fields { column-gap: 3.125rem !important; }
	}
	
	@media screen and (max-width: 900px) {
		body:not(.gform-admin-screen) .gform_wrapper .gfield--type-creditcard .ginput_cardextras > :not(:first-child) { padding-inline-start: var(--wp--preset--spacing--20) !important; }
	}
	
	@media screen and (max-width: 750px) {
		body:not(.gform-admin-screen) .gform_wrapper .gform_fields { row-gap: 2rem !important; column-gap: 2rem !important; }
		body:not(.gform-admin-screen) .gform_wrapper { padding-inline: calc(var(--wp--custom--outer-pad) * 2); margin-block: var(--wp--preset--spacing--40); }
	}
	
	@media screen and (max-width: 640px) {
		body:not(.gform-admin-screen) .gform_wrapper .gfield--width-half { grid-column: span 2 !important; }
		body:not(.gform-admin-screen) .gform_wrapper .gfield--type-creditcard > div:not(.gfield_validation_message) { padding: 1rem; }
		body:not(.gform-admin-screen) .gform_wrapper .gfield--type-creditcard .ginput_cardextras > :not(:first-child) { padding-inline-start: unset !important; }
	}
	
	@media screen and (max-width: 500px) {
		body:not(.gform-admin-screen) .gform_wrapper { padding-inline: var(--wp--custom--outer-pad); }
	}
	
	/******************************/
	/* Backend
	/******************************/	
	.edit-post-visual-editor .editor-post-title {
		font-family: var(--wp--preset--font-family--gt-america-standard) !important;
		font-size: var(--wp--preset--font-size--2-x-large) !important;
		line-height: 1 !important;
		font-weight: 700 !important;
		text-transform: initial !important;
	}
	
	.edit-post-visual-editor .is-root-container {
		--wp--custom--inner-pad: 6.25rem;
		
		padding-inline: var(--wp--custom--outer-pad);
		padding-block-end: var(--wp--preset--spacing--70);
	}
	
	.edit-post-visual-editor .wp-block-list,
	.edit-post-visual-editor .wp-block-list > li {
		padding-inline-start: 0 !important;
	}
	
	.edit-post-visual-editor .wp-block-list > li {
		display: flex;
		gap: .625rem;
		align-items: center;
		list-style: none;
		font-family: var(--wp--preset--font-family--gt-america-extended);
		font-size: var(--wp--preset--font-size--medium);
		font-weight: 700;
	}
	
	.edit-post-visual-editor .wp-block-list > li::before {
		align-self: baseline;
		content: '-';
		display: block;
		position: relative;
		width: auto;
	}
	
	.edit-post-visual-editor .wp-block-list > linot(:last-child) {
		margin-block-end: .5rem !important;
	}
	
	.edit-post-layout__metaboxes {
		z-index: 2;
	}
	
	/* Change editor bg and text color depending on bg color chosen in page's custom field */
	body:has(a.color.selected > [title="Text"]) .edit-post-visual-editor .editor-styles-wrapper 		{ background-color: var(--wp--preset--color--text); }
	body:has(a.color.selected > [title="Background"]) .edit-post-visual-editor .editor-styles-wrapper 	{ background-color: var(--wp--preset--color--background); }
	body:has(a.color.selected > [title="Accent"]) .edit-post-visual-editor .editor-styles-wrapper 		{ background-color: var(--wp--preset--color--accent); }
	body:has(a.color.selected > [title="Accent 2"]) .edit-post-visual-editor .editor-styles-wrapper 	{ background-color: var(--wp--preset--color--accent-2); }
	body:has(a.color.selected > [title="White"]) .edit-post-visual-editor .editor-styles-wrapper 		{ background-color: var(--wp--preset--color--white); }
	body:has(a.color.selected > [title="Off-Black"]) .edit-post-visual-editor .editor-styles-wrapper 	{ background-color: var(--wp--preset--color--off-black); }
	
	body:has(a.color.selected > [title="Text"], a.color.selected > [title="Accent"], a.color.selected > [title="Off-Black"]) .edit-post-visual-editor .editor-styles-wrapper { color: var(--wp--preset--color--white); }
	
	/******************************/
	/* Other
	/******************************/
	/* Options coordinates */
	.options-coordinates {
		display: contents;
	}
	
	.options-coordinates * {
		font-size: var(--wp--preset--font-size--large);
		margin: 0;
	}
	
	.options-coordinates :is(h5, .h5) {
		font-weight: 400 !important;
	}
	
	.options-coordinates a {
		text-decoration: none;
	}
	
	.options-coordinates a:hover {
		color: var(--wp--preset--color--white);
	}
	
	.options-coordinates .phone {
		margin-block-start: var(--wp--preset--spacing--30);
	}
	
	.options-coordinates .opening-hours {
		margin-block-start: var(--wp--preset--spacing--40);
	}
	
	/* CookieYes styling */
	/* .cky-btn-revisit-wrapper {
		left: unset !important;
		right: 15px !important;
		background-color: var(--wp--preset--color--background) !important;
		border: 2px solid var(--wp--preset--color--text) !important;
		box-sizing: border-box;
		z-index: 3 !important;
	}
	
	.cky-btn-revisit-wrapper::before {
		left: unset !important;
		right: calc(100% + 7px) !important;
	}
	
	.cky-btn-revisit-wrapper::after {
		left: unset !important;
		right: calc(100% + 2px) !important;
	}
	
	body:has(#burger-menu-toggle:checked) .cky-btn-revisit-wrapper {
		display: none !important;
	}
	
	.cky-btn-revisit-wrapper .cky-btn-revisit {
		box-shadow: none !important;
	}
	
	.cky-btn-revisit-wrapper img {
		filter: brightness(0) saturate(100%) invert(60%) sepia(5%) saturate(236%) hue-rotate(201deg) brightness(90%) contrast(91%) !important;
	}
	
	:is(.cky-notice-btn-wrapper, .cky-prefrence-btn-wrapper) .cky-btn {
		background-color: var(--wp--preset--color--white) !important;
		border-color: var(--wp--preset--color--accent) !important;
	}
	
	:is(.cky-notice-btn-wrapper, .cky-prefrence-btn-wrapper) .cky-btn, button.cky-show-desc-btn:not(:hover):not(:active) {
		color: var(--wp--preset--color--accent) !important;
	}
	
	:is(.cky-notice-btn-wrapper, .cky-prefrence-btn-wrapper) .cky-btn.cky-btn-accept {
		background-color: var(--wp--preset--color--accent) !important;
		color: var(--wp--preset--color--white) !important;
	} */
	
	/* GDPR Cookie Consent banner/modal/button */
	:is(#moove_gdpr_cookie_info_bar, #moove_gdpr_cookie_modal, #moove_gdpr_save_popup_settings_button) {
		z-index: 4 !important;
		
		.mgbutton,
		.moove_gdpr_text,
		.moove-gdpr-cookie-notice > p {
			color: var(--wp--preset--color--white) !important;
		}
		
		&:is(#moove_gdpr_cookie_info_bar, #moove_gdpr_cookie_modal) {
			* {
				-webkit-font-smoothing: auto !important;
				letter-spacing: 1px !important;
			}	
		}
		
		&#moove_gdpr_cookie_info_bar {	
			background-color: var(--wp--preset--color--accent) !important;
			border: 1px solid var(--wp--preset--color--accent-2) !important;
			
			:is(.moove-gdpr-infobar-allow-all, .moove-gdpr-infobar-reject-btn) {
				color: var(--wp--preset--color--accent) !important;
				background-color: var(--wp--preset--color--accent-2) !important;
				box-shadow: inset 0 0 0 1px currentColor !important;
				
				&:is(:hover, :focus, :active) {
					color: var(--wp--preset--color--accent-2) !important;
					background-color: var(--wp--preset--color--accent) !important;
				}
			}
			
			.moove-gdpr-infobar-settings-btn {
				color: var(--wp--preset--color--accent-2) !important;
				background-color: transparent !important;
				
				&:is(:hover, :focus, :active) {
					color: var(--wp--preset--color--accent) !important;
					background-color: var(--wp--preset--color--accent-2) !important;
				}
			}
		}
		
		&#moove_gdpr_cookie_modal {
			.moove-gdpr-company-logo-holder img {
				object-fit: contain;
				filter: brightness(0) saturate(100%) invert(6%) sepia(36%) saturate(5517%) hue-rotate(220deg) brightness(90%) contrast(117%);
			}
			
			#moove-gdpr-menu li,
			.cookie-switch {
				&::before,
				&::after {
					display: none;
				}
			}
			
			:is(.mgbutton, .moove-gdpr-modal-close):is(:hover, :focus, :active) {
				&, & > span {
					color: var(--wp--preset--color--accent) !important;
					background-color: var(--wp--preset--color--accent-2) !important;
					box-shadow: unset !important;
				}
			}
		}
		
		&#moove_gdpr_save_popup_settings_button {
			bottom: var(--wp--custom--outer-pad) !important;
			left: unset !important;
			right: var(--wp--custom--outer-pad) !important;
			background-color: var(--wp--preset--color--accent) !important;
			border: 1px solid  var(--wp--preset--color--accent-2) !important;
			box-sizing: content-box;
			cursor: pointer;
			
			span.moove_gdpr_icon {
				position: relative;
				float: right !important;
				
				&::after {
					content: '';
					position: absolute;
					top: 50%;
					left: 50%;
					width: calc(100% *  (2/3));
					height: calc(100% *  (2/3));
					background: url(../images/privacy.svg) no-repeat center;
					background-size: contain;
					filter: brightness(0) saturate(100%) invert(94%) sepia(6%) saturate(118%) hue-rotate(191deg) brightness(87%) contrast(97%);
					translate: -50% -50%;
				}
				
				svg {
					display: none;
				}
			}
			
			span.moove_gdpr_text {
				padding: 0 5px 0 15px;
			}
		}
		
		/******************************/
		/* Responsive
		/******************************/
		@media (width <= 600px) {
			&#moove_gdpr_save_popup_settings_button {
				bottom: var(--wp--preset--spacing--0-50) !important;
				left: var(--wp--preset--spacing--0-50) !important;
				
				&, & > .moove_gdpr_icon {
					min-width: 32px !important;
					height: 32px !important;
				}
			}
		}
	}